### Method

# Xdp Portal create_input_capture_session2_sync

#### Declaration [src]

    XdpInputCaptureSession*
    xdp_portal_create_input_capture_session2_sync (
      XdpPortal* portal,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates an inactive session for input capture.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `XdpInputCaptureSession`

A `XdpInputCaptureSession`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.